Action Notification Export Results

An ActionNotificationExportResult is a single record containing webhook log information that can be obtained as a part of Action Notification Export request.

List Action Notification Export Results

Endpoint

GET/action_notification_export_results

Return Object

ActionNotificationExportResult[]

Authorization Requirement

Requires either a Site-Wide API key or User API key or session from a User with Folder Admin permissions.

Request Parameters

ParameterDescription
user_id
int64
User ID. Provide a value of 0 to operate the current session's user.
action_notification_export_id
int64
Required
ID of the associated action notification export.

Additional Arguments

Example Request

curl "https://app.files.com/api/rest/v1/action_notification_export_results.json?user_id=1&action_notification_export_id=1" \
  -H 'X-FilesAPI-Key: YOUR_API_KEY'

Example Response

[
  {
    "id": 1,
    "created_at": 1,
    "status": 200,
    "message": "Success",
    "success": true,
    "request_headers": "{\"User-Agent\":\"Files.com Webhook\"}",
    "request_method": "GET",
    "request_url": "www.example.com/webhook_receiver",
    "path": "MyFolder/MyFile.txt",
    "folder": "MyFolder"
  }
]

The ActionNotificationExportResult Object

Some of the endpoints above return a ActionNotificationExportResult object. The attributes of this object are listed below.

AttributeDescription
id
int64
Notification ID
created_at
int64
When the notification was sent.
status
int64
HTTP status code returned in the webhook response.
message
string
A message indicating the overall status of the webhook notification.
success
boolean
true if the webhook succeeded by receiving a 200 or 204 response.
request_headers
string
A JSON-encoded string with headers that were sent with the webhook.
request_method
string
The HTTP verb used to perform the webhook.
request_url
string
The webhook request URL.
path
string
The path to the actual file that triggered this notification. This must be slash-delimited, but it must neither start nor end with a slash. Maximum of 5000 characters.
folder
string
The folder associated with the triggering action for this notification.

Example ActionNotificationExportResult Object

{
  "id": 1,
  "created_at": 1,
  "status": 200,
  "message": "Success",
  "success": true,
  "request_headers": "{\"User-Agent\":\"Files.com Webhook\"}",
  "request_method": "GET",
  "request_url": "www.example.com/webhook_receiver",
  "path": "MyFolder/MyFile.txt",
  "folder": "MyFolder"
}